﻿.blog-title{
    color: #333;
    font-weight: 600;
    text-align: center;
    padding: 15px;
}

.menu-header {
    cursor: pointer;
}

.arrow {
    width: 17px;
    height: 17px;
    transition: transform 0.3s ease;
}


.submenu {
    display: none;
}

.list-group-item.active {
    color: #000 !important;
    background-color: #fff !important;
    border-color: transparent !important;
}


.menu-item.active .submenu {
    display: block;
}


.menu-item.active .arrow {
    transform: rotate(180deg);
}

.submenu .list-group-item {
    background: transparent !important;
    border: none !important;
    padding: 6px 0;
}

    .submenu .list-group-item a {
        color: #333;
        display: block;
        padding: 6px 0;
    }

        .submenu .list-group-item a:hover {
            color: #000;
            background: transparent;
        }


.blog-title:hover{
    color: #777;
}

.blog-cards{
    text-decoration: none;
}


.img-wrapper {
    overflow: hidden;
}


.img-hover {
    transition: transform 0.5s ease;
}

.img-wrapper:hover .img-hover {
    transform: scale(1.2);
}

.card-body {
    position: relative;
    padding-top: 25px; 
}

.blog-label {
    background-color: rgb(37,61,37);
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%); 
    font-size: 0.9rem;
    z-index: 2;
}


.overlay {
    background-color: rgba(0, 0, 0, 0.4);
    transition: background-color 0.5s ease;
}

.img-wrapper:hover .overlay {
    background-color: rgba(0, 0, 0, 0.4); 
}


.image-card {
    position: relative;
    overflow: hidden; 
}

    .image-card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform 0.5s ease;
    }


    .image-card:hover img {
        transform: scale(1.1);
    }


    .image-card .overlay {
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.35);
        opacity: 0;
        transition: opacity 0.4s ease;
        pointer-events: none;
    }

    .image-card:hover .overlay {
        opacity: 1;
    }


.date-box {
    position: absolute;
    top: 12px;
    right: 12px;
    background: #fff;
    padding: 14px 12px;
    text-align: center;
    line-height: 1.1;
    border-radius: 0; 
}


    .date-box .day {
        display: block;
        font-size: 18px;
        font-weight: bold;
        color: #000;
    }


    .date-box .month {
        display: block;
        font-size: 13px;
        color: #555;
    }


.share-wrapper {
    position: relative;
    display: inline-flex;
}


.share-tooltip {
    position: absolute;
    bottom: 130%;
    left: 50%;
    transform: translateX(-50%);
    background: #000;
    padding: 5px 10px;
    display: flex;
    gap: 10px;
    opacity: 0;
    visibility: hidden;
    transition: 0.25s ease;
    border-radius: 0;
    z-index: 20;
}


.tooltip-arrow {
    position: absolute;
    bottom: -5px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #000; 
}



.share-icon {
    color: #fff;
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}


.share-wrapper:hover .share-tooltip {
    opacity: 1;
    visibility: visible;
}

.read-more {
    color: #ff6600;
    font-weight: 700;
    text-decoration: none;
}

    .read-more:hover {
        color: #e65100;
        font-weight: 700;
        text-decoration: underline;
    }

.meta-reply {
    position: relative; 
    display: inline-block;
}

    .meta-reply .replies-count {
        position: absolute;
        top: -4px;
        left: -4px;
        width: 14px;
        height: 14px;
        border-radius: 50%;
        background-color: #A4A4A4;
        color: #FFF;
        text-align: center;
        font-size: 9px;
        line-height: 14px;
        font-weight: 400;
    }

.icon-muted img {
    filter: invert(52%) sepia(0%) saturate(0%) brightness(85%);
}
